import sys

from analysis.fixed_point import fixed_point
from analysis.live_variables import LiveVariables
# from analysis.reaching_definitions import ReachingDefinitions
from lang import fileToCFG
from lang.utils import getEntryValue, getExitValue, getValueByLabel

if __name__ == '__main__':
    cfg = fileToCFG(sys.argv[1])
    In, Out = fixed_point(cfg, LiveVariables(cfg))
    # In, Out = fixed_point(cfg, ReachingDefinitions(cfg))
    print(getValueByLabel("l1", In))
    print(getValueByLabel("l1", Out))